io.vertx.rxjava.ext.web.templ

## Class FreeMarkerTemplateEngine

- java.lang.Object
- - io.vertx.rxjava.ext.web.templ.TemplateEngine
  - - io.vertx.rxjava.ext.web.templ.FreeMarkerTemplateEngine

-     public class FreeMarkerTemplateEngine
      extends TemplateEngine

  A template engine that uses the FreeMarker library.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TypeArg<FreeMarkerTemplateEngine>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FreeMarkerTemplateEngine(FreeMarkerTemplateEngine delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FreeMarkerTemplateEngine` | `create()` Create a template engine using defaults
    `FreeMarkerTemplateEngine` | `getDelegate()`
    `static FreeMarkerTemplateEngine` | `newInstance(FreeMarkerTemplateEngine arg)`
    `FreeMarkerTemplateEngine` | `setExtension(String extension)` Set the extension for the engine
    `FreeMarkerTemplateEngine` | `setMaxCacheSize(int maxCacheSize)` Set the max cache size for the engine

    - ### Methods inherited from class io.vertx.rxjava.ext.web.templ.TemplateEngine

      `newInstance, render, renderObservable, rxRender`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final TypeArg<FreeMarkerTemplateEngine> __TYPE_ARG

  - ### Constructor Detail

    - #### FreeMarkerTemplateEngine

          public FreeMarkerTemplateEngine(FreeMarkerTemplateEngine delegate)

  - ### Method Detail

    - #### getDelegate

          public FreeMarkerTemplateEngine getDelegate()

      Overrides:
        `getDelegate` in class `TemplateEngine`

    - #### create

          public static FreeMarkerTemplateEngine create()

      Create a template engine using defaults
      Returns:
        the engine

    - #### setExtension

          public FreeMarkerTemplateEngine setExtension(String extension)

      Set the extension for the engine
      Parameters:
        `extension` - the extension
      Returns:
        a reference to this for fluency

    - #### setMaxCacheSize

          public FreeMarkerTemplateEngine setMaxCacheSize(int maxCacheSize)

      Set the max cache size for the engine
      Parameters:
        `maxCacheSize` - the maxCacheSize
      Returns:
        a reference to this for fluency

    - #### newInstance

          public static FreeMarkerTemplateEngine newInstance(FreeMarkerTemplateEngine arg)

Copyright © 2017. All rights reserved.